-- BEGIN COPYRIGHT
-- *************************************************************************
-- Licensed Materials - Property of IBM
-- 5724-L01, 5655-N53, 5724-I82, 5655-R15
-- Copyright IBM Corporation 2007, 2008. All rights reserved.
-- US Government Users Restricted Rights - Use, duplication, or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- *************************************************************************
-- END COPYRIGHT

-- *******************************************
-- Schema change from 602 to 6.1
-- *******************************************

-- *******************************************
-- create table FailedEventDetail and indexes
-- *******************************************
ALTER TABLE @SCHEMA@.FailedEvents
   ADD EsQualified	SMALLINT;

ALTER TABLE @SCHEMA@.FailedEvents
   ADD EventType		VARCHAR (10);

UPDATE @SCHEMA@.FailedEvents set EventType='SCA';

CREATE LOB TABLESPACE EVENTSM
 IN @DB_NAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL @BPLOB4K@;

CREATE LOB TABLESPACE EVENTSP
 IN @DB_NAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL @BPLOB4K@;

CREATE LOB TABLESPACE EVENTSD
 IN @DB_NAME@
 USING STOGROUP @STOGRP@
 LOCKSIZE LOB
 BUFFERPOOL @BPLOB4K@;

CREATE TABLE @SCHEMA@.FAILEDEVENTDETAIL
  (MSGID		VARCHAR(255) NOT NULL,
   MESSAGE		BLOB(1G),
   PARAMETERS		BLOB(1G),
   EXCEPTIONDETAIL	BLOB(10M),
   WrapperType          SMALLINT,
   APPLICATIONNAME	VARCHAR(255),
   CEITRACECONTROL	VARCHAR(255),
   UserIdentity		VARCHAR(128),
   EXPIRATIONTIME	TIMESTAMP,
   CONSTRAINT PK_FAILEDEVENTDTL PRIMARY KEY(MSGID))
IN @DB_NAME@.EVENTS0;

CREATE UNIQUE INDEX @SCHEMA@.FAILEDEVENTDETAIL
 ON @SCHEMA@.FAILEDEVENTDETAIL (MSGID)
 USING STOGROUP @STOGRP@
 DEFINE NO
 NOT PADDED
 BUFFERPOOL @BPINDEX@;

CREATE AUX TABLE @SCHEMA@.FEMMSGBLOB IN @DB_NAME@.EVENTSM
 STORES @SCHEMA@.FAILEDEVENTDETAIL COLUMN MESSAGE;

CREATE INDEX @SCHEMA@.FEMMSGM_IDX ON @SCHEMA@.FEMMSGBLOB
 USING STOGROUP @STOGRP@
 BUFFERPOOL @BPINDEX@;

CREATE AUX TABLE @SCHEMA@.FEMPRMBLOB IN @DB_NAME@.EVENTSP
 STORES @SCHEMA@.FAILEDEVENTDETAIL COLUMN PARAMETERS;

CREATE INDEX @SCHEMA@.FEMMSGP_IDX
 ON @SCHEMA@.FEMPRMBLOB
 USING STOGROUP @STOGRP@
 BUFFERPOOL @BPINDEX@;

CREATE AUX TABLE @SCHEMA@.FEMEXPBLOB IN @DB_NAME@.EVENTSD
 STORES @SCHEMA@.FAILEDEVENTDETAIL COLUMN EXCEPTIONDETAIL;

CREATE INDEX @SCHEMA@.FEMMSGE_IDX
 ON @SCHEMA@.FEMEXPBLOB
 USING STOGROUP @STOGRP@
 BUFFERPOOL @BPINDEX@;
